Create a Fireworks AI inference endpoint

Auth

Create an inference endpoint to perform an inference task with the fireworksai service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: chat_completion completion text_embedding
fireworksai_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout string · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Request body

service enum required

The type of service supported for the specified task type. In this case, fireworksai.

Values: fireworksai
service_settings object required

Settings used to install the inference model. These settings are specific to the fireworksai service.

api_key string required

A valid API key for your Fireworks AI account. You can find or create your API keys in the Fireworks AI dashboard.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

model_id string required

The name of the model to use for the inference task. Refer to the Fireworks AI documentation for the list of available models for chat completion, completion, and text embedding. For text embedding, supported models include the Qwen3 embedding family (e.g. fireworks/qwen3-embedding-8b) and other models in the Fireworks model library.

url string

The URL endpoint to use for the requests. If not provided, the default Fireworks AI API endpoint is used.

dimensions number

For a text_embedding task, the number of dimensions the resulting output embeddings should have. Variable-length embeddings are supported via this parameter.

similarity enum · default: cosine

For a text_embedding task, the similarity measure. One of cosine, dot_product, l2_norm.

Values: cosine dot_product l2_norm

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: chat_completion completion text_embedding